syncWave:
  namespaces: 1
  externalSecretsStore: 2
  certManager: 2
  trustManager: 3
  ingressNginx: 3
  frontend: 5
  postgres: 4
  eurodatCluster: 4
  argoWorkflows: 5
  eurodat: 5
  microServices: 5
  transactionVault: 6

namespaces:
  controlPlane: control-plane
  externalSecrets: external-secrets
  transactionPlane: transaction-plane
  dataPlane: data-plane
  certManager: cert-manager
  base: base
  frontend: frontend

repoURL: https://gitlab.com/eurodat/trustee-platform.git
publicImageRepository: false
imageRegistryForCredentials: registry.gitlab.com/eurodat/eurodat-trustee-iac
certStaging: false

# Deploy the external secrets store
deployExternalSecretsStore: true
externalSecrets:
  namespace: "external-secrets"
  serviceAccount:  "external-secrets-sa"
  gcpProject:  ""
  gcpServiceAccount: ""

appServiceUploader:
  namespace: "control-plane"
  serviceAccount: "upload-images-sa"
  gcpServiceAccount: ""
  destAuth: true
  srcHttps: true
  destHttps: true
  gcr: true

# Set to true if released helm charts from target repository should be used (nightly).
# Set to false if a path to the helm chart in the repository should be used (dev).
useReleasedCharts: false

# Set to true if the certificates shall be issued by a ClusterIssuer with a self-signed root certificate.
# Default is a Let's Encrypt ACME ClusterIssuer that issues certificates that are publicly trusted.
useSelfSigned: false

# Set to true if an externally reachable LoadBalancer should be used by the ingress controller
useExternalLoadBalancer: false
externalFqdn: ""

# These values need to be set by the corresponding values file since they use environment variables.
environment: ""
targetRevision: ""

cluster:
  apiAddress: ""
  fqdn: ""
  registry: ""
  location: ""
  internalApiEndpoint: ""

  # needed in GCP
  name: ""
  staticIp: ""
  staticExternalIp: ""
  ipSubnet: ""
  projectId: ""

# Needed for configuration of Keycloak to send mails to the users
smtpMailFrom: ""
smtpHost: ""
smtpPort: "465"
smtpIp: 0.0.0.0/0

# Webfrontend & eurodat-app configuration
eurodatApp:
  cssSource: ""

## Contract service configuration
contractService:
  additionalCorsOrigin: ""

paperless:
  mocked: true

# Image definitions consisting of:
#   registry:
#   repository:
#   tag:
#   digest:
images:
  kubectl: { }
  waitForIt: { }
  osShellPostgres: { }
  grafana: { }
  osShell: { }
  postgresql: { }
  busybox: { }
  loki: { }
  memcached: { }
  promtail: { }
  tempo: { }
  opentelemetry: { }
  reflector: { }
  certManagerCainjector: { }
  certManagerAcmeSolver: { }
  certManagerController: { }
  certManagerWebhook: { }
  certManagerStartupapicheck: { }
  vault: { }
  configmapReload: { }
  argocli: { }
  argoexec: { }
  workflowController: { }
  certManagerPackageDebian: { }
  trustManager: { }
  keycloak: { }
  kubernetesSecretGenerator: { }
  nodeExporter: { }
  prometheus: { }
  ingressNginxController: { }
  kubeStateMetrics: { }
  alertmanager: { }
  reloader: { }
  keycloakSetup: { }
  transactionService: { }
  credentialService: { }
  databaseService: { }
  appService: { }
  contractService: { }
  webFrontend: { }
  externalSecrets: { }
  appServiceUploader: {}
  dataManagementService: { }
